#! /usr/bin/env python 
#
# Test all convolve implementations using the different APIs.

import os
from os.path import dirname, join
import sys
import numarray.examples
import numarray.examples.convolve

layer = [["High-level API:",
          "import numarray.examples.convolve.high_level as convolve"],
         ["Element-wise API:",
          "import numarray.examples.convolve.element_wise as convolve"],
         ["One-dimensional API:",
          "import numarray.examples.convolve.one_dimensional as convolve"],
         ["Numeric compatibility layer:",
          "import numarray.examples.convolve.numpy_compat as convolve"]]

for level in layer:
    sys.stderr.write("\n\n" + level[0] + "\n")
    filename = join(dirname(sys.argv[0]), 'convolve_test.py')
    exec(compile(level[1], '<string>', 'exec'))
    execfile(filename)
